Name:           deepin-devicemanager
Version:        5.6.36
Release:        3
Summary:        Device Manager is a handy tool for viewing hardware information and managing the devices
License:        GPLv3+
URL:            https://github.com/linuxdeepin/deepin-devicemanager
Source0:        %{name}-%{version}.tar.gz
Patch0:         0001-feat-add-A-help-files.patch
Patch1:         0002-fix-Ethernet-Controller-X710-disable.patch
Patch2:         0001-fix-dmidecode17.patch

BuildRequires: gcc-c++
BuildRequires: cmake3
BuildRequires: dtkwidget-devel
BuildRequires: dtkgui-devel
BuildRequires: systemd-devel
BuildRequires: libicu-devel
BuildRequires: qt5-rpm-macros
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtbase-private-devel
BuildRequires: qt5-qttools-devel
BuildRequires: cups-devel
BuildRequires: pkgconfig(dframeworkdbus)
BuildRequires: zeromq-devel
BuildRequires: git
BuildRequires: gtest-devel
BuildRequires: gmock-devel


Requires: smartmontools
Requires: dmidecode
Requires: xorg-x11-server-utils
Requires: hwinfo
Requires: cups
Requires: upower
Requires: deepin-shortcut-viewer
Requires: lshw
Requires: util-linux

%description
%{summary}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
# help find (and prefer) qt5 utilities, e.g. qmake, lrelease
export PATH=%{_qt5_bindir}:$PATH
sed -i "s|^cmake_minimum_required.*|cmake_minimum_required(VERSION 3.0)|" $(find . -name "CMakeLists.txt")

mkdir build && pushd build
%cmake ../ -DCMAKE_BUILD_TYPE=Release -DAPP_VERSION=%{version} -DVERSION=%{version}
%make_build
popd

%install
%make_install -C build INSTALL_ROOT="%buildroot"

%post
systemctl enable deepin-devicemanager-server.service


%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/translations/*.qm
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
/lib/systemd/system/deepin-devicemanager-server.service
%{_bindir}/deepin-devicemanager-server
%{_datadir}/deepin-manual/manual-assets/application/deepin-devicemanager/device-manager/*
/etc/dbus-1/system.d/com.deepin.devicemanager.conf

%changelog
* Tue Mar 26 2024 liweigang <liweiganga@uniontech.com> - 5.6.36-3
- fix: Memory units in Device Manager do not match the memory rate units queried by typing dmidecode17 in the terminal

* Tue Nov 28 2023 liuzhilin <liuzhilin@uniontech.com> - 5.6.36-2
- Remove unnecessary macro definitions

* Wed Jul 26 2023 leeffo <liweiganga@uniontech.com> - 5.6.36-1
- upgrade to version 5.6.36

* Fri Mar 31 2023 liweiganga <liweiganga@uniontech.com> - 5.6.34-1
- update: update to 5.6.34

* Mon Jul 18 2022 konglidong <konglidong@uniontech.com> 5.6.9-1
- update to 5.6.9

* Fri Mar 11 2022 liweigang <liweiganga@uniontech.com> - 5.5.9.36-3
- fix not open

* Sun Jan 30 2022 liweigang <liweiganga@uniontech.com> - 5.5.9.36-2
- fix build error

* Mon Jul 12 2021 weidong <weidong@uniontech.com> - 5.5.9.36-1
- Update 5.5.9.36

* Fri Aug 28 2020 chenbo pan <panchenbo@uniontech.com> - 5.5.4.4-2
- fix compile fail

* Thu Jul 30 2020 openEuler Buildteam <buildteam@openeuler.org> - 5.5.4.4-1
- Package init
